/**
 * 
 */
package de.mpiwg.itgroup.annotations;

/**
 * @author casties
 *
 */
public class Person extends Actor {

    public Person() {
    }

    public Person(String id) {
        super();
        this.id = id;
    }

    public Person(String uri, String name) {
        super();
        this.uri = uri;
        this.name = name;
    }

    public Person(String id, String uri, String name) {
        super();
        this.id = id;
        this.uri = uri;
        this.name = name;
    }

    @Override
    public boolean isGroup() {
        return false;
    }

    public String getIdString() {
        if (id == null) {
            id = getIdFromUri(uri, false);
        }
        return id;
    }

    /**
     * Returns a Person with this id or null.
     * 
     * @param id
     * @return
     */
    public static Person createPersonWithId(String id) {
        if (id != null) {
            return new Person(id);
        }
        return null;
    }
}
